#!/bin/sh
# Intro

echo "Running on `hostname -f`"
echo "Processor - `cat /proc/cpuinfo |grep 'model name'`"
echo "Physical memory - `cat /proc/meminfo | grep 'MemTotal'`"
PHYS_MEM=`cat /proc/meminfo | grep "Mem:" | cut -c 6-16`
echo "Physical memory (${PHYS_MEM}): `expr ${PHYS_MEM} / 1048576` MB"
if [ -z ${JAVA_HOME} ]; then
  if [ -r /etc/java/java.conf ]; then
    . /etc/java/java.conf
  else  
    echo "/etc/java/java.conf Not present or readable"
    exit 1
  fi
fi   

if [ ${RGMA_HOME:-false} = "false" ]; then
   /bin/echo "No RGMA_HOME variable set, using /opt/glite"
   export RGMA_HOME=/opt/glite
fi

echo "Adding CLASSPATH - is now:"
source javasetup.gLite.sh

# Fudge for Karlsruhe:
# export RGMA_PROPS=${RGMA_HOME}

# Run publisher
echo "Starting BossJob publisher at `date`"
# EDG:
#${JAVA_HOME}/bin/java -Dexechost=${HOSTNAME} -DRGMA_PROPS=$RGMA_PROPS -Dlog4j.configuration=$LOG4J_PROPS go $1 $2 >> j$1.txt
# gLite:
${JAVA_HOME}/bin/java -Dexechost=${HOSTNAME} -DRGMA_HOME=$RGMA_HOME -Dlog4j.configuration=$LOG4J_PROPS go $1 $2 >> j$1.txt
echo "Finished BossJob publisher at `date`"

# Tidy up
gzip -9 j$1.txt
rm *.class
rm javasetup.gLite.sh 
rm log4j.props
ls
